public
Created

  • Download Gist
gistfile1.txt
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62
[etagwerker@gesell topsy]$ cat topsy.gemspec
require File.expand_path("../lib/topsy/version", __FILE__)
 
Gem::Specification.new do |s|
s.name = %q{topsy}
s.version = Topsy::VERSION
s.platform = Gem::Platform::RUBY
s.required_rubygems_version = ">= 1.3.6"
s.authors = ["Wynn Netherland", "Ernesto Tagwerker"]
s.date = %q{2010-09-28}
s.description = %q{Wrapper for the Topsy API}
s.email = %q{wynn.netherland@gmail.com}
s.files = Dir.glob("{lib}/**/*")
s.homepage = %q{http://wynnnetherland.com/projects/topsy/}
s.require_paths = ["lib"]
s.rubygems_version = %q{1.3.6}
s.summary = %q{Ruby wrapper for the Topsy API}
s.test_files = [
"test/helper.rb",
"test/test_topsy.rb"
]
 
s.add_dependency 'hashie', '>= 0.1.3'
s.add_dependency 'httparty', '>= 0.4.5'
 
s.add_development_dependency 'thoughtbot-shoulda', '~> 2.10.1'
s.add_development_dependency 'jnunemaker-matchy', '~> 0.4.0'
s.add_development_dependency 'bundler', '~>1.0.3'
s.add_development_dependency 'fakeweb', '~>1.2.5'
s.add_development_dependency 'mocha', '~>0.9.4'
s.add_development_dependency 'redgreen', '~>1.2.2'
 
end
[etagwerker@gesell topsy]$ ruby --version
rubinius 1.0.0 (1.8.7 release 2010-05-14 JI) [i686-apple-darwin9.8.0]
[etagwerker@gesell topsy]$ rake --trace
(in /Users/etagwerker/AptanaProjects/topsy)
rake aborted!
Coercion error: nil.to_str => String failed
kernel/common/type.rb:24:in `coerce_to'
kernel/common/kernel.rb:112:in `StringValue'
kernel/common/file.rb:604:in `join'
/Users/etagwerker/.rvm/gems/rbx-1.0.0-20100514/gems/bundler-1.0.3/lib/bundler/gem_helper.rb:18:in `initialize'
/Users/etagwerker/.rvm/gems/rbx-1.0.0-20100514/gems/bundler-1.0.3/lib/bundler/gem_helper.rb:10:in `install_tasks'
/Users/etagwerker/AptanaProjects/topsy/rakefile:6:in `__script__'
kernel/common/kernel.rb:638:in `load'
/Users/etagwerker/.rvm/gems/rbx-1.0.0-20100514/gems/rake-0.8.7/lib/rake.rb:2383:in `raw_load_rakefile'
/Users/etagwerker/.rvm/gems/rbx-1.0.0-20100514/gems/rake-0.8.7/lib/rake.rb:2017:in `load_rakefile {}'
/Users/etagwerker/.rvm/gems/rbx-1.0.0-20100514/gems/rake-0.8.7/lib/rake.rb:2068:in `standard_exception_handling'
/Users/etagwerker/.rvm/gems/rbx-1.0.0-20100514/gems/rake-0.8.7/lib/rake.rb:2016:in `load_rakefile'
/Users/etagwerker/.rvm/gems/rbx-1.0.0-20100514/gems/rake-0.8.7/lib/rake.rb:2000:in `run {}'
/Users/etagwerker/.rvm/gems/rbx-1.0.0-20100514/gems/rake-0.8.7/lib/rake.rb:2068:in `standard_exception_handling'
/Users/etagwerker/.rvm/gems/rbx-1.0.0-20100514/gems/rake-0.8.7/lib/rake.rb:1998:in `run'
/Users/etagwerker/.rvm/gems/rbx-1.0.0-20100514/gems/rake-0.8.7/bin/rake:31:in `__script__'
kernel/common/kernel.rb:638:in `load'
/Users/etagwerker/.rvm/gems/rbx-1.0.0-20100514/bin/rake:19:in `__script__'
kernel/delta/codeloader.rb:65:in `load_script'
kernel/delta/codeloader.rb:88:in `load_script'
kernel/loader.rb:435:in `script'
kernel/loader.rb:526:in `main'
kernel/loader.rb:552:in `main'
kernel/loader.rb:564:in `__script__'

Please sign in to comment on this gist.

Something went wrong with that request. Please try again.